diff --git a/src/main/java/net/minecraft/core/net/command/commands/SummonCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/command/commands/SummonCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java
index 21530fc3b..a2bfccb53 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SummonCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java
@@ -11,16 +11,16 @@ import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntitySummonArgumentType;
-import net.minecraft.core.net.command.arguments.Vec3ArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntitySummon;
+import net.minecraft.core.net.command.arguments.ArgumentTypeVec3;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.DoubleCoordinates;
 
-public class SummonCommand {
+public class CommandSummon {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("summon")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, Class<? extends Entity>>argument("entity", EntitySummonArgumentType.entity())
+                .then(RequiredArgumentBuilder.<CommandSource, Class<? extends Entity>>argument("entity", ArgumentTypeEntitySummon.entity())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             Vec3 coordinates = source.getCoordinates(false);
@@ -32,7 +32,7 @@ public class SummonCommand {
 
                             return Command.SINGLE_SUCCESS;
                         })
-                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", Vec3ArgumentType.vec3d())
+                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     DoubleCoordinates coordinates = c.getArgument("position", DoubleCoordinates.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/TeleportCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/command/commands/TeleportCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java
index c8695b61d..6105e7c01 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/TeleportCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java
@@ -8,19 +8,19 @@ import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.Vec3ArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeVec3;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.DoubleCoordinates;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.List;
 
-public class TeleportCommand {
+public class CommandTeleport {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("teleport")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", Vec3ArgumentType.vec3d())
+                .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             DoubleCoordinates targetCoordinates = c.getArgument("position", DoubleCoordinates.class);
@@ -34,8 +34,8 @@ public class TeleportCommand {
 
                             return Command.SINGLE_SUCCESS;
                         }))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entity", EntityArgumentType.entities())
-                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", Vec3ArgumentType.vec3d())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entity", ArgumentTypeEntity.entities())
+                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     EntitySelector entitySelector = c.getArgument("entity", EntitySelector.class);
@@ -55,7 +55,7 @@ public class TeleportCommand {
 
                                     return Command.SINGLE_SUCCESS;
                                 }))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.entity())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entity())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("entity", EntitySelector.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/TellRawCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/command/commands/TellRawCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
index d37e09736..a1c6e7c1e 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/TellRawCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
@@ -8,16 +8,16 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.List;
 
-public class TellRawCommand {
+public class CommandTellRaw {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("tellraw")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
                         .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
diff --git a/src/main/java/net/minecraft/core/net/command/commands/TestCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTest.java
similarity index 75%
rename from src/main/java/net/minecraft/core/net/command/commands/TestCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandTest.java
index 5c3cf94ec..452973f3f 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/TestCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTest.java
@@ -5,19 +5,19 @@ import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.AchievementArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeAchievement;
 
 @SuppressWarnings("unchecked")
-public class TestCommand {
+public class CommandTest {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register((LiteralArgumentBuilder)(((LiteralArgumentBuilder)LiteralArgumentBuilder.literal("test"))
                 .then(((LiteralArgumentBuilder)LiteralArgumentBuilder.<CommandSource>literal("grant")
-                ).then(RequiredArgumentBuilder.argument("achievement", AchievementArgumentType.achievement())
-                        .then(RequiredArgumentBuilder.argument("achievement1", AchievementArgumentType.achievement())
-                                .then(RequiredArgumentBuilder.argument("achievement2", AchievementArgumentType.achievement())
-                                        .then(RequiredArgumentBuilder.argument("achievement3", AchievementArgumentType.achievement())
-                                                .then(RequiredArgumentBuilder.argument("achievement4", AchievementArgumentType.achievement())
-                                                        .then(RequiredArgumentBuilder.argument("achievement5", AchievementArgumentType.achievement())
+                ).then(RequiredArgumentBuilder.argument("achievement", ArgumentTypeAchievement.achievement())
+                        .then(RequiredArgumentBuilder.argument("achievement1", ArgumentTypeAchievement.achievement())
+                                .then(RequiredArgumentBuilder.argument("achievement2", ArgumentTypeAchievement.achievement())
+                                        .then(RequiredArgumentBuilder.argument("achievement3", ArgumentTypeAchievement.achievement())
+                                                .then(RequiredArgumentBuilder.argument("achievement4", ArgumentTypeAchievement.achievement())
+                                                        .then(RequiredArgumentBuilder.argument("achievement5", ArgumentTypeAchievement.achievement())
                                                                 .executes(c -> {
                                                                     ((CommandSource)c.getSource()).getSender().sendMessage("Command run!");
                                                                     return Command.SINGLE_SUCCESS;
diff --git a/src/main/java/net/minecraft/core/net/command/commands/TestForCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
similarity index 77%
rename from src/main/java/net/minecraft/core/net/command/commands/TestForCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
index ed9e35aca..caf9cc437 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/TestForCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
@@ -6,37 +6,37 @@ import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.BlockArgumentType;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.IntegerCoordinatesArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeBlock;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeIntegerCoordinates;
 import net.minecraft.core.net.command.helpers.*;
 
 import java.util.List;
 
-public class TestForCommand {
+public class CommandTestFor {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("testfor")
                 .requires(CommandSource::hasAdmin)
                 .then(LiteralArgumentBuilder.<CommandSource>literal("entity")
-                        .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", EntityArgumentType.entities())
+                        .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
                                 .executes(c -> {
                                     List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(c.getSource());
                                     c.getSource().sendTranslatableMessage("command.commands.testfor.entity." + (entities.isEmpty() ? "none" : entities.size() == 1 ? "single" : "multiple"), entities.size());
                                     return entities.size();
                                 })))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("block")
-                        .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", BlockArgumentType.block())
-                                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", IntegerCoordinatesArgumentType.intCoordinates())
+                        .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
+                                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
                                         .executes(c -> {
                                             BlockInput block = c.getArgument("block", BlockInput.class);
                                             IntegerCoordinates secondPos = c.getArgument("second", IntegerCoordinates.class);
                                             CompoundTag blockInWorldCompoundTag = new CompoundTag();
-                                            BlockEntity blockEntity = c.getSource().getWorld().getBlockEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
-                                            if (blockEntity != null) blockEntity.writeToNBT(blockInWorldCompoundTag);
+                                            TileEntity tileEntity = c.getSource().getWorld().getBlockEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
+                                            if (tileEntity != null) tileEntity.writeToNBT(blockInWorldCompoundTag);
                                             if (c.getSource().getWorld().getBlock(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource())) == block.getBlock()
                                             && c.getSource().getWorld().getBlockMetadata(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource())) == block.getMetadata()
                                             && (blockInWorldCompoundTag == block.getTag() || block.getTag().getValues().isEmpty())) {
@@ -46,8 +46,8 @@ public class TestForCommand {
                                             c.getSource().sendTranslatableMessage("command.commands.testfor.block.failure");
                                             return 0;
                                         })))
-                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("first", IntegerCoordinatesArgumentType.intCoordinates())
-                                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", IntegerCoordinatesArgumentType.intCoordinates())
+                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("first", ArgumentTypeIntegerCoordinates.intCoordinates())
+                                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
                                         .executes(c -> {
                                             IntegerCoordinates firstPos = c.getArgument("first", IntegerCoordinates.class);
                                             IntegerCoordinates secondPos = c.getArgument("second", IntegerCoordinates.class);
@@ -69,11 +69,11 @@ public class TestForCommand {
                                             }
 
                                             CompoundTag firstTag = new CompoundTag();
-                                            BlockEntity firstBlockEntity = c.getSource().getWorld().getBlockEntity(firstPos.getX(c.getSource()), firstPos.getY(c.getSource(), true), firstPos.getZ(c.getSource()));
-                                            if (firstBlockEntity != null) firstBlockEntity.writeToNBT(firstTag);
+                                            TileEntity firstTileEntity = c.getSource().getWorld().getBlockEntity(firstPos.getX(c.getSource()), firstPos.getY(c.getSource(), true), firstPos.getZ(c.getSource()));
+                                            if (firstTileEntity != null) firstTileEntity.writeToNBT(firstTag);
                                             CompoundTag secondTag = new CompoundTag();
-                                            BlockEntity secondBlockEntity = c.getSource().getWorld().getBlockEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
-                                            if (secondBlockEntity != null) secondBlockEntity.writeToNBT(secondTag);
+                                            TileEntity secondTileEntity = c.getSource().getWorld().getBlockEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
+                                            if (secondTileEntity != null) secondTileEntity.writeToNBT(secondTag);
 
                                             if (!CommandHelper.blockEntitiesAreEqual(firstTag, secondTag)) {
                                                 c.getSource().sendTranslatableMessage("command.commands.testfor.block.failure");
diff --git a/src/main/java/net/minecraft/core/net/command/commands/TimeCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/commands/TimeCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
index eb1613ce8..e90207fd4 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/TimeCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
@@ -6,17 +6,16 @@ import com.mojang.brigadier.arguments.IntegerArgumentType;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.Global;
-import net.minecraft.core.net.command.arguments.SeasonArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeSeason;
 import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.World;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.TimeArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeTime;
 import net.minecraft.core.world.season.Season;
-import net.minecraft.core.world.season.SeasonManager;
 import net.minecraft.core.world.season.SeasonManagerCycle;
 import net.minecraft.core.world.season.Seasons;
 
-public class TimeCommand {
+public class CommandTime {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("time")
             .requires(CommandSource::hasAdmin)
@@ -43,7 +42,7 @@ public class TimeCommand {
                         return Command.SINGLE_SUCCESS;
                         })))
             .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("time", TimeArgumentType.time())
+                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("time", ArgumentTypeTime.time())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         int time = c.getArgument("time", Integer.class);
@@ -74,7 +73,7 @@ public class TimeCommand {
                         setDayTime(source, source.getWorld(), 18000);
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(RequiredArgumentBuilder.<CommandSource, String>argument("season", SeasonArgumentType.season())
+                .then(RequiredArgumentBuilder.<CommandSource, String>argument("season", ArgumentTypeSeason.season())
                     .requires(c -> c.getWorld().getSeasonManager() instanceof SeasonManagerCycle)
                     .executes(c -> {
                         CommandSource source = c.getSource();
@@ -119,7 +118,7 @@ public class TimeCommand {
                 )
             )
             .then(LiteralArgumentBuilder.<CommandSource>literal("add")
-                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("time", TimeArgumentType.time())
+                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("time", ArgumentTypeTime.time())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         int time = c.getArgument("time", Integer.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/WeatherCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/command/commands/WeatherCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
index dd823e5a2..7c9717e24 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/WeatherCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
@@ -9,11 +9,11 @@ import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.TimeArgumentType;
-import net.minecraft.core.net.command.arguments.WeatherArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeTime;
+import net.minecraft.core.net.command.arguments.ArgumentTypeWeather;
 import net.minecraft.core.world.weather.Weathers;
 
-public class WeatherCommand {
+public class CommandWeather {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("weather")
                 .requires(CommandSource::hasAdmin)
@@ -27,7 +27,7 @@ public class WeatherCommand {
                         source.sendTranslatableMessage("command.commands.weather.success", weather.getTranslatedName());
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(RequiredArgumentBuilder.<CommandSource, Weather>argument("weather", WeatherArgumentType.weather())
+                .then(RequiredArgumentBuilder.<CommandSource, Weather>argument("weather", ArgumentTypeWeather.weather())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             World world = source.getWorld();
@@ -37,7 +37,7 @@ public class WeatherCommand {
                             source.sendTranslatableMessage("command.commands.weather.success", weather.getTranslatedName());
                             return Command.SINGLE_SUCCESS;
                         })
-                        .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("duration", TimeArgumentType.time())
+                        .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("duration", ArgumentTypeTime.time())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     World world = source.getWorld();
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java b/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java
index 969189c34..2eaae1ce7 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java
+++ b/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.command.helpers;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import org.jetbrains.annotations.Nullable;
 
 public class ClonedBlock {
@@ -9,12 +9,12 @@ public class ClonedBlock {
     private final Block block;
     private final int metadata;
     @Nullable
-    private final BlockEntity blockEntity;
+    private final TileEntity tileEntity;
 
-    public ClonedBlock(@Nullable Block block, int metadata, @Nullable BlockEntity blockEntity) {
+    public ClonedBlock(@Nullable Block block, int metadata, @Nullable TileEntity tileEntity) {
         this.block = block;
         this.metadata = metadata;
-        this.blockEntity = blockEntity;
+        this.tileEntity = tileEntity;
     }
 
     public @Nullable Block getBlock() {
@@ -29,7 +29,7 @@ public class ClonedBlock {
         return this.metadata;
     }
 
-    public BlockEntity getBlockEntity() {
-        return this.blockEntity;
+    public TileEntity getBlockEntity() {
+        return this.tileEntity;
     }
 }
\ No newline at end of file
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java b/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
index c974674ba..0b7af5318 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
+++ b/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
@@ -11,7 +11,7 @@ import net.minecraft.client.lang.text.ChainText;
 import net.minecraft.client.lang.text.Text;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
@@ -87,7 +87,7 @@ public class EntitySelectorOptions {
             }
             parser.addPredicate(entity -> {
                 if (!(entity instanceof Mob))
-                    return entity instanceof ItemEntity && ((ItemEntity) entity).item != null ? LoggedPrintStream.removeColorCodes(((ItemEntity) entity).item.getDisplayName()).equals(string) : bl;
+                    return entity instanceof EntityItem && ((EntityItem) entity).item != null ? LoggedPrintStream.removeColorCodes(((EntityItem) entity).item.getDisplayName()).equals(string) : bl;
                 else if (entity instanceof Player) return ((Player) entity).username.equals(string) != bl;
                 else return LoggedPrintStream.removeColorCodes(((Mob) entity).getDisplayName()).equals(string) != bl;
             });
diff --git a/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java b/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
index 83306f024..5c9fefbaf 100644
--- a/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
+++ b/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
@@ -6,10 +6,10 @@ import com.mojang.brigadier.suggestion.SuggestionsBuilder;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.Tag;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
@@ -105,8 +105,8 @@ public class CommandHelper {
             if (!LoggedPrintStream.removeColorCodes(((Mob) entity).getDisplayName()).isEmpty()) {
                 return LoggedPrintStream.removeColorCodes(((Mob) entity).getDisplayName());
             }
-        } else if (entity instanceof ItemEntity && ((ItemEntity) entity).item != null) {
-            return LoggedPrintStream.removeColorCodes(((ItemEntity) entity).item.getDisplayName());
+        } else if (entity instanceof EntityItem && ((EntityItem) entity).item != null) {
+            return LoggedPrintStream.removeColorCodes(((EntityItem) entity).item.getDisplayName());
         }
         return EntityDispatcher.getEncodeId(entity);
     }
@@ -145,13 +145,13 @@ public class CommandHelper {
         world.getBlockEntity(x, y, z).readFromNBT(tag);
     }
 
-    public static void setBlockEntity(WorldSource world, int x, int y, int z, BlockEntity blockEntity) {
-        setBlockEntity(world, x, y, z, tagFrom(blockEntity));
+    public static void setBlockEntity(WorldSource world, int x, int y, int z, TileEntity tileEntity) {
+        setBlockEntity(world, x, y, z, tagFrom(tileEntity));
     }
 
-    public static CompoundTag tagFrom(BlockEntity blockEntity) {
+    public static CompoundTag tagFrom(TileEntity tileEntity) {
         CompoundTag tag = new CompoundTag();
-        if (blockEntity != null) blockEntity.writeToNBT(tag);
+        if (tileEntity != null) tileEntity.writeToNBT(tag);
         return tag;
     }
 
